Skip to main content
GET
Together AI SDK (Python)

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required
instance_id
string
required

To list remediations on a specific node, pass the node's instance ID. To list remediations for all nodes in a cluster, pass - as a wildcard for the instance ID.

Query Parameters

page_size
integer

Maximum results to return.

page_token
string

Pagination token from previous request.

state
enum<string>[]

Filter by state(s). Returns remediations matching any of the specified states.

  • PENDING_APPROVAL: Awaiting approval before processing can begin.
  • PENDING: Approved and queued for processing.
  • RUNNING: Actively being processed.
  • SUCCEEDED: Successfully completed.
  • FAILED: Failed with an error.
  • CANCELLED: Cancelled by user or system.
  • AUTO_RESOLVED: The underlying issue was automatically resolved before processing.
  • QUARANTINING: Cordoning or preparing the host before remediation.
  • QUARANTINED: Host has been cordoned or isolated for remediation.
Available options:
PENDING_APPROVAL,
PENDING,
RUNNING,
SUCCEEDED,
FAILED,
CANCELLED,
AUTO_RESOLVED,
QUARANTINING,
QUARANTINED
order_by
string

Order by expression.

trigger
enum<string>[]

Filter by trigger type(s). Returns remediations matching any of the specified triggers.

Available options:
REMEDIATION_TRIGGER_MANUAL,
REMEDIATION_TRIGGER_AUTOMATED
mode
enum<string>[]

Filter by remediation mode(s). Returns remediations matching any of the specified modes.

Available options:
REMEDIATION_MODE_VM_ONLY,
REMEDIATION_MODE_HOST_AWARE,
REMEDIATION_MODE_EVICT_WITHOUT_REPLACEMENT,
REMEDIATION_MODE_REBOOT_VM,
REMEDIATION_MODE_HOST_POWER_CYCLE

Response

200 - application/json

OK

ListRemediationsResponse is the response for ListRemediations.

remediations
object[]
required

The list of remediations.

next_page_token
string
required

Token for the next page.

has_next
boolean
required

Indicates if there are more results available.